<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('appeal', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->uuid('uuid');
            $table->string('location', length: 255);
            $table->string('location_admin', length: 255);
            $table->string('sponsor', length: 255);
            $table->text('description');
            $table->boolean('reviewed')->default(false);
            $table->boolean('approved')->default(false);
            $table->timestamps(precision: 0);
            $table->timestamp('deleted_at', precision: 0)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('appeal');
    }
};
